from pydantic import BaseModel


class DocumentSpecs(BaseModel):
    format: str  # Format du document (ex: A4, Letter)
    style: str  # Style du document (ex: ConsultationExpress)
    linkcolor: str  # Couleur des liens dans le document
    pdfengine: str  # Moteur utilisé pour générer le PDF
    content: str  # Contenu du document
    fontsize: int  # Taille de la police
    paperwidth: int  # Largeur du papier
    paperheight: int  # Hauteur du papier
    margin: int  # Marge horizontale
    vmargin: int  # Marge verticale
    fps: int  # Images par seconde (pour les documents animés)
    stilltime: int  # Durée d'affichage des images fixes (en secondes)