# Script pour lancer l'application Streamlit FabriqueDoc localement
# Ce script fonctionne sur Windows

# Définir l'adresse du backend
$env:FABRIQUEDOC_ENDPOINT = "http://localhost:8080"

# Vérifier si Streamlit est installé
if (!(Get-Command streamlit -ErrorAction SilentlyContinue)) {
    Write-Host "Streamlit n'est pas installé. Veuillez l'installer en utilisant 'pip install streamlit'."
    exit 1
}

# Lancer l'application Streamlit
Write-Host "Lancement de l'application Streamlit FabriqueDoc..."
streamlit run main.py --server.port=8051

# Note : Si le port 8051 est déjà utilisé, vous pouvez le changer pour un autre port