#!/bin/bash

# Script pour lancer l'application Streamlit FabriqueDoc localement
# Ce script fonctionne sur macOS et Linux

# Définir l'adresse du backend
export FABRIQUEDOC_ENDPOINT="http://localhost:8080"

# Vérifier si Streamlit est installé
if ! command -v streamlit &> /dev/null; then
    echo "Streamlit n'est pas installé. Veuillez l'installer en utilisant 'pip install streamlit'."
    exit 1
fi

# Lancer l'application Streamlit
echo "Lancement de l'application Streamlit FabriqueDoc..."
streamlit run main.py --server.port=8051

# Note : Si le port 8051 est déjà utilisé, vous pouvez le changer pour un autre port
